Package org.springframework.cglib.core

# Class WeakCacheKey<T>

java.lang.Object
java.lang.ref.Reference<T>
java.lang.ref.WeakReference<T>
org.springframework.cglib.core.WeakCacheKey<T>

Type Parameters:
  `T` - type of the reference

public class WeakCacheKey<T> extends WeakReference<T>
Allows to check for object equality, yet the class does not keep strong reference to the target. `equals(Object)` returns true if and only if the reference is not yet expired and target objects are equal in terms of `equals(Object)`.

This an internal class, thus it might disappear in future cglib releases.

## Constructor Summary

Constructors
Constructor
Description
`WeakCacheKey(T referent)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class java.lang.ref.Reference

`clear, clone, enqueue, get, isEnqueued, reachabilityFence, refersTo`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### WeakCacheKey

public WeakCacheKey(T referent)

## Method Details

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`